> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get accumulated requests consumption details

> Returns the accumulated requests consumption for the given parameters.  This endpoint accepts the following combinations of parameters:

* If no parameters provided, the current contract period is calculated, then data is returned based on that period.

* If `startDate` and `endDate` are provided, then the data is returned based on that date range.

* If `licenseId` and `periodIndex` are provided, then the data is returned based on that specific period data.

* Other combination of parameters result in an error.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-apps-manager.json get /entitlements/requests/accumulated/detailed
openapi: 3.0.1
info:
  title: Fusion Apps Manager API
  description: API for the Apps Manager service for Lucidworks Fusion.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: FUSION_HOST/apps-manager
security: []
tags:
  - name: Entitlements consumption API
    description: Endpoints to get entitlements-related information.
  - name: Entitlements consumption records API
    description: Endpoints for calculating the records consumption.
  - name: Entitlements consumption report API
    description: Endpoints to generate consumption reports.
  - name: Entitlements consumption requests API
    description: Endpoints for calculating the requests consumption.
  - name: Fusion license API
    description: Endpoints to retrieve and replace Fusion licenses.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /entitlements/requests/accumulated/detailed:
    get:
      tags:
        - Entitlements consumption requests API
      summary: Get accumulated requests consumption details
      description: >-
        Returns the accumulated requests consumption for the given parameters. 
        This endpoint accepts the following combinations of parameters:


        * If no parameters provided, the current contract period is calculated,
        then data is returned based on that period.


        * If `startDate` and `endDate` are provided, then the data is returned
        based on that date range.


        * If `licenseId` and `periodIndex` are provided, then the data is
        returned based on that specific period data.


        * Other combination of parameters result in an error.
      operationId: getRequestsAccumulatedDetailed
      parameters:
        - name: startDate
          description: The results start date, formatted as `yyyy-MM-dd`.
          in: query
          required: false
          schema:
            type: string
            default: ''
        - name: endDate
          description: The results end date, formatted as `yyyy-MM-dd`.
          in: query
          required: false
          schema:
            type: string
            default: ''
        - name: licenseId
          description: >-
            The entitlements license ID.  Use
            `/apps-manager/entitlements/periods` to get license IDs.
          in: query
          required: false
          schema:
            type: string
            default: ''
          example: '1698256262000'
        - name: periodIndex
          description: >-
            The entitlement period index in the license.  Use
            `/apps-manager/entitlements/periods` to get period indices.
          in: query
          required: false
          schema:
            type: string
            default: ''
          example: '1'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ResponseDailyQueryPipelineMetrics'
                example:
                  - date: '2024-03-25'
                    points:
                      - pipeline: Feedback
                        count: 73
                  - date: '2024-03-26'
                    points:
                      - pipeline: FAQ
                        count: 91
components:
  schemas:
    ResponseDailyQueryPipelineMetrics:
      type: object
      properties:
        date:
          type: string
        points:
          type: array
          items:
            $ref: '#/components/schemas/QueryPipelineMetrics'
    QueryPipelineMetrics:
      type: object
      properties:
        pipeline:
          type: string
        count:
          type: integer
          format: int64

````